package com.ssj.service.conch.curator.request;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @Author: chchen
 * @Description
 * @Date Create in 13:58 2019/12/25
 * @Modified By
 */
public class ConfirmTeacherClassRequest extends BaseRequest {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "teacherId", value = "老师id", required = true)
    @NotNull
    private String teacherId;

    @ApiModelProperty(name = "classIdList", value = "班级id列表", required = true)
    @NotNull
    private List<String> classIdList;

    public String getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(String teacherId) {
        this.teacherId = teacherId;
    }

    public List<String> getClassIdList() {
        return classIdList;
    }

    public void setClassIdList(List<String> classIdList) {
        this.classIdList = classIdList;
    }
}
